Bug 431063 - Add virtio capabilities
Add virtio capabilities
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433743
  Show dependency treegraph
 
Reported: 2008-01-31 10:30 EST by Soren Hansen
Modified: 2010-03-16 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 13:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soren Hansen 2008-01-31 10:30:17 EST
Description of problem:

To use the new virtio capabilites available in kvm 60, special command line
paramaters need to be passed to kvm.  There should be a way to specify that a
device should use virtio in the libvirt xml.

I propose adding a "model" attribute to the interface element in the XML to be
able to specify the type of NIC to emulate, e.g. 'virtio'.

For the disk virtio I propose adding an 'interface' attribute to target element
(inside the disk element). This interface could then be set to 'virtio', 'ide',
'scsi', etc..
Comment 1 Soren Hansen 2008-04-25 10:09:32 EDT
I have a patch against 0.4.0 that does this for block devices (rjones has done
the network bit). Give me a few days to rework it against 0.4.1.
Comment 2 Bug Zapper 2008-05-14 00:56:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mark McLoughlin 2008-07-29 09:43:49 EDT
Also in 0.4.3 AFAIK
Comment 4 Cole Robinson 2008-09-03 13:48:43 EDT
Yes, this is most definitely fixed upstream, so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.